<?
 /*SCRIPT PARA MANTENIMIENTO DE ALUMNOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn or !$txtcarnet){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $qver=mysql_query("select * from expedientes where carnet = '$txtcarnet'");
    if(mysql_num_rows($qver)==0){
      $ins=mysql_query("insert into expedientes set carnet='$txtcarnet'");
    }



    if(!$txtactivo){$txtactivo="N";}

                $sql="update
                      expedientes
                      set mp1='$txtmp1',
                      fp1='$txtfp1',
                      cp1='$txtcp1',
                      mp2='$txtmp2',
                      fp2='$txtfp2',
                      cp2='$txtcp2',
                      mp3='$txtmp3',
                      fp3='$txtfp3',
                      cp3='$txtcp3',
                      mp4='$txtmp4',
                      fp4='$txtfp4',
                      cp4='$txtcp4',
                      mp5='$txtmp5',
                      fp5='$txtfp5',
                      cp5='$txtcp5',
                      mp6='$txtmp6',
                      fp6='$txtfp6',
                      cp6='$txtcp6',
                      dipprimaria='$txtdipprimaria',
                      ms1='$txtms1',
                      fs1='$txtfs1',
                      cs1='$txtcs1',
                      mecas1='$txtmecas1',
                      ms2='$txtms2',
                      fs2='$txtfs2',
                      cs2='$txtcs2',
                      mecas2='$txtmecas2',
                      ms3='$txtms3',
                      fs3='$txtfs3',
                      cs3='$txtcs3',
                      mecas3='$txtmecas3',
                      dipbasicos='$txtdipbasicos',
                      md4='$txtmd4',
                      fd4='$txtfd4',
                      cd4='$txtcd4',
                      md5='$txtmd5',
                      fd5='$txtfd5',
                      cd5='$txtcd5',
                      fichaps5='$txtfichaps5',
                      md6='$txtmd6',
                      fd6='$txtfd6',
                      cd6='$txtcd6',
                      fichaps6='$txtfichaps6'
                      where carnet='$txtcarnet'";
//                echo $sql;
                 $ins=mysql_query($sql);
                 if($ins){
                   alert("Expediente actualizado con éxito.","frm_alumno_exp.php?idalumno=$txtalumno");}else{echo "ERROR: ".mysql_error();
                 }
   break;

   case "Update":
    $qver=mysql_query("select * from alumnos where carnet = '$txtcarnet'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El número de carnet no existe","javascript:history.go(-1)");
    }
                $txtclave=base64_encode($txtclave);
                $txtclaveweb=base64_encode($txtclaveweb);

                $qnivel=mysql_query("select niveles.id, jornadas.id as jid
                                     from niveles, grados, jornadas
                                     where niveles.id = grados.nivel
                                     and jornadas.id = grados.jornada
                                     and grados.id = '$txtgrado'");

                $inivel=mysql_fetch_array($qnivel);
                if(!$txtactivo){$txtactivo="N";}

                $sql="update
                      alumnos
                      set clave='$txtclave',
                      activo='$txtactivo',
                      nombre='$txtnombre',
                      apellido='$txtapellido',
                      direccion='$txtdireccion',
                      telefono='$txttelefono',
                      mail='$txtmail',
                      nombre_padre='$txtnombrepadre',
                      nombre_madre='$txtnombremadre',
                      nombre_encargado='$txtnombreencargado',
                      telefono_encargado='$txttelefonoencargado',
                      seccion='$txtseccion',
                      grado_estudio='$txtgrado',
                      nivel_estudio='{$inivel[id]}',
                      jornada='{$inivel[jid]}',
                      tipo_sangre='$txttiposangre',
                      usuarioweb='',
                      claveweb='$txtclaveweb',
                      nit='$txtnit',
                      nombre_fc='$txtnombrefc',
                      direccion_fc='$txtdireccionfc',
                      year_estudio='$txtyearestudio'
                      where carnet='$txtcarnet'";

                 $qupd=mysql_query($sql);
                 if($qupd){alert("Alumno: $txtapellido, $txtnombre\\nactualizado con éxito","frm_alumno.php?");}else{echo "ERROR: ".mysql_error();}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>